unit PSDKryptos;

{ Unidad que registra todos los componentes criptogrficos }

interface

Uses PSDTwoFish, PSDBlowFish, PSDDES, PSDRMD, PSDRMD128, PSDMD5,
     PSDISAAC, PSDMT19937B, PSDSHA, PSDBASE64, PSDUUCODE;

Procedure Register;

implementation

Uses Classes;

Procedure Register;
Begin

  { TwoFish }
  RegisterComponents( 'Kryptos', [TPSDTwoFish]);

  { BlowFish }
  RegisterComponents( 'Kryptos', [TPSDBlowFish]);

  { DES }
  RegisterComponents( 'Kryptos', [TPSDDES]);

  { PSDRMD }
  RegisterComponents( 'Kryptos', [TPSDRIPEMD160]);

  { PSDRMD128 }
  RegisterComponents( 'Kryptos', [TPSDRIPEMD128]);

  { MD5 }
  RegisterComponents( 'Kryptos', [TPSDMD5]);

  { PSDISAAC }
  RegisterComponents( 'Kryptos', [TPSDISAAC]);

  { PSDMT19937B }
  RegisterComponents( 'Kryptos', [TPSDMT19937B]);

  { PSDSHA }
  RegisterComponents( 'Kryptos', [TPSDSHA]);

  { PSDBASE64 }
  RegisterComponents( 'Kryptos', [TPSDBASE64]);

  { PSDUUCODE }
  RegisterComponents( 'Kryptos', [TPSDUUCODE]);

End;

end.
