unit uAPIDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmDemo = class(TForm)
    Label1: TLabel;
    edPlain: TEdit;
    Label2: TLabel;
    edCipher: TEdit;
    Label3: TLabel;
    edKey: TEdit;
    Label4: TLabel;
    cbCipher: TComboBox;
    BtnEncrypt: TButton;
    BtnDecrypt: TButton;
    procedure BtnEncryptClick(Sender: TObject);
    procedure BtnDecryptClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;

implementation

uses PSDCipherConst, PSDCipherTools;

Var sCipherString : String;

{$R *.DFM}

procedure TfrmDemo.BtnEncryptClick(Sender: TObject);
begin
  sCipherString := EncryptString( edPlain.Text, edKey.Text,
                                  TCipherMethod(cbCipher.ItemIndex));

  If (TCipherMethod(cbCipher.ItemIndex) <> cipherBase64) and
     (TCipherMethod(cbCipher.ItemIndex) <> cipherUUEnCode) Then
    // Dont show the first four bytes. They contain the string length
    edCipher.Text := Copy(sCipherString,5,Length(sCipherString)-4)
  Else
    edCipher.Text := sCipherString;
end;

procedure TfrmDemo.BtnDecryptClick(Sender: TObject);
begin
  edPlain.Text := DecryptString( sCipherString, edKey.Text,
                                 TCipherMethod(cbCipher.ItemIndex) );
end;

end.
